import { FlattenedJWSInput, JWSHeaderParameters } from 'jose';
import { GetKeyFunction } from 'jose';
export declare class JwksClient {
    #private;
    private readonly getEndpoint;
    constructor(getEndpoint: () => Promise<URL>);
    get getKey(): GetKeyFunction<JWSHeaderParameters, FlattenedJWSInput>;
    /**
     * If the last keystore refresh is stale, update the keystore URL to the latest
     */
    refreshKeyStore(rawJwtToken: string): Promise<void>;
}
